Makefile 40 KB

12345678910111213141516171819202122232425262728293031323334353637383940414243444546474849505152535455565758596061626364656667686970717273747576777879808182838485868788899091929394959697989910010110210310410510610710810911011111211311411511611711811912012112212312412512612712812913013113213313413513613713813914014114214314414514614714814915015115215315415515615715815916016116216316416516616716816917017117217317417517617717817918018118218318418518618718818919019119219319419519619719819920020120220320420520620720820921021121221321421521621721821922022122222322422522622722822923023123223323423523623723823924024124224324424524624724824925025125225325425525625725825926026126226326426526626726826927027127227327427527627727827928028128228328428528628728828929029129229329429529629729829930030130230330430530630730830931031131231331431531631731831932032132232332432532632732832933033133233333433533633733833934034134234334434534634734834935035135235335435535635735835936036136236336436536636736836937037137237337437537637737837938038138238338438538638738838939039139239339439539639739839940040140240340440540640740840941041141241341441541641741841942042142242342442542642742842943043143243343443543643743843944044144244344444544644744844945045145245345445545645745845946046146246346446546646746846947047147247347447547647747847948048148248348448548648748848949049149249349449549649749849950050150250350450550650750850951051151251351451551651751851952052152252352452552652752852953053153253353453553653753853954054154254354454554654754854955055155255355455555655755855956056156256356456556656756856957057157257357457557657757857958058158258358458558658758858959059159259359459559659759859960060160260360460560660760860961061161261361461561661761861962062162262362462562662762862963063163263363463563663763863964064164264364464564664764864965065165265365465565665765865966066166266366466566666766866967067167267367467567667767867968068168268368468568668768868969069169269369469569669769869970070170270370470570670770870971071171271371471571671771871972072172272372472572672772872973073173273373473573673773873974074174274374474574674774874975075175275375475575675775875976076176276376476576676776876977077177277377477577677777877978078178278378478578678778878979079179279379479579679779879980080180280380480580680780880981081181281381481581681781881982082182282382482582682782882983083183283383483583683783883984084184284384484584684784884985085185285385485585685785885986086186286386486586686786886987087187287387487587687787887988088188288388488588688788888989089189289389489589689789889990090190290390490590690790890991091191291391491591691791891992092192292392492592692792892993093193293393493593693793893994094194294394494594694794894995095195295395495595695795895996096196296396496596696796896997097197297397497597697797897998098198298398498598698798898999099199299399499599699799899910001001100210031004100510061007100810091010101110121013101410151016101710181019102010211022102310241025102610271028102910301031103210331034103510361037103810391040104110421043104410451046104710481049105010511052105310541055105610571058105910601061106210631064106510661067106810691070107110721073107410751076107710781079108010811082108310841085108610871088108910901091109210931094109510961097109810991100110111021103110411051106110711081109111011111112111311141115111611171118111911201121112211231124112511261127112811291130113111321133113411351136113711381139114011411142114311441145114611471148114911501151115211531154115511561157115811591160116111621163116411651166116711681169117011711172117311741175117611771178117911801181
  1. # Makefile.in generated by automake 1.16.3 from Makefile.am.
  2. # modules/pam_localuser/Makefile. Generated from Makefile.in by configure.
  3. # Copyright (C) 1994-2020 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. #
  12. # Copyright (c) 2005, 2006, 2009 Thorsten Kukuk <kukuk@suse.de>
  13. #
  14. am__is_gnu_make = { \
  15. if test -z '$(MAKELEVEL)'; then \
  16. false; \
  17. elif test -n '$(MAKE_HOST)'; then \
  18. true; \
  19. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  20. true; \
  21. else \
  22. false; \
  23. fi; \
  24. }
  25. am__make_running_with_option = \
  26. case $${target_option-} in \
  27. ?) ;; \
  28. *) echo "am__make_running_with_option: internal error: invalid" \
  29. "target option '$${target_option-}' specified" >&2; \
  30. exit 1;; \
  31. esac; \
  32. has_opt=no; \
  33. sane_makeflags=$$MAKEFLAGS; \
  34. if $(am__is_gnu_make); then \
  35. sane_makeflags=$$MFLAGS; \
  36. else \
  37. case $$MAKEFLAGS in \
  38. *\\[\ \ ]*) \
  39. bs=\\; \
  40. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  41. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  42. esac; \
  43. fi; \
  44. skip_next=no; \
  45. strip_trailopt () \
  46. { \
  47. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  48. }; \
  49. for flg in $$sane_makeflags; do \
  50. test $$skip_next = yes && { skip_next=no; continue; }; \
  51. case $$flg in \
  52. *=*|--*) continue;; \
  53. -*I) strip_trailopt 'I'; skip_next=yes;; \
  54. -*I?*) strip_trailopt 'I';; \
  55. -*O) strip_trailopt 'O'; skip_next=yes;; \
  56. -*O?*) strip_trailopt 'O';; \
  57. -*l) strip_trailopt 'l'; skip_next=yes;; \
  58. -*l?*) strip_trailopt 'l';; \
  59. -[dEDm]) skip_next=yes;; \
  60. -[JT]) skip_next=yes;; \
  61. esac; \
  62. case $$flg in \
  63. *$$target_option*) has_opt=yes; break;; \
  64. esac; \
  65. done; \
  66. test $$has_opt = yes
  67. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  68. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  69. pkgdatadir = $(datadir)/Linux-PAM
  70. pkgincludedir = $(includedir)/Linux-PAM
  71. pkglibdir = $(libdir)/Linux-PAM
  72. pkglibexecdir = $(libexecdir)/Linux-PAM
  73. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  74. install_sh_DATA = $(install_sh) -c -m 644
  75. install_sh_PROGRAM = $(install_sh) -c
  76. install_sh_SCRIPT = $(install_sh) -c
  77. INSTALL_HEADER = $(INSTALL_DATA)
  78. transform = $(program_transform_name)
  79. NORMAL_INSTALL = :
  80. PRE_INSTALL = :
  81. POST_INSTALL = :
  82. NORMAL_UNINSTALL = :
  83. PRE_UNINSTALL = :
  84. POST_UNINSTALL = :
  85. build_triplet = x86_64-pc-linux-gnu
  86. host_triplet = arm-unknown-linux-gnueabihf
  87. am__append_1 = -Wl,--version-script=$(srcdir)/../modules.map
  88. check_PROGRAMS = tst-pam_localuser-retval$(EXEEXT)
  89. subdir = modules/pam_localuser
  90. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  91. am__aclocal_m4_deps = $(top_srcdir)/m4/attribute.m4 \
  92. $(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \
  93. $(top_srcdir)/m4/intlmacosx.m4 \
  94. $(top_srcdir)/m4/jh_path_xml_catalog.m4 \
  95. $(top_srcdir)/m4/ld-O1.m4 $(top_srcdir)/m4/ld-as-needed.m4 \
  96. $(top_srcdir)/m4/ld-no-undefined.m4 \
  97. $(top_srcdir)/m4/ld-z-now.m4 $(top_srcdir)/m4/lib-ld.m4 \
  98. $(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
  99. $(top_srcdir)/m4/libprelude.m4 $(top_srcdir)/m4/libtool.m4 \
  100. $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
  101. $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
  102. $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
  103. $(top_srcdir)/m4/progtest.m4 \
  104. $(top_srcdir)/m4/warn_lang_flags.m4 \
  105. $(top_srcdir)/m4/warnings.m4 $(top_srcdir)/configure.ac
  106. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  107. $(ACLOCAL_M4)
  108. DIST_COMMON = $(srcdir)/Makefile.am $(dist_check_SCRIPTS) \
  109. $(am__dist_noinst_DATA_DIST) $(am__DIST_COMMON)
  110. mkinstalldirs = $(install_sh) -d
  111. CONFIG_HEADER = $(top_builddir)/config.h
  112. CONFIG_CLEAN_FILES =
  113. CONFIG_CLEAN_VPATH_FILES =
  114. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  115. am__vpath_adj = case $$p in \
  116. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  117. *) f=$$p;; \
  118. esac;
  119. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  120. am__install_max = 40
  121. am__nobase_strip_setup = \
  122. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  123. am__nobase_strip = \
  124. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  125. am__nobase_list = $(am__nobase_strip_setup); \
  126. for p in $$list; do echo "$$p $$p"; done | \
  127. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  128. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  129. if (++n[$$2] == $(am__install_max)) \
  130. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  131. END { for (dir in files) print dir, files[dir] }'
  132. am__base_list = \
  133. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  134. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  135. am__uninstall_files_from_dir = { \
  136. test -z "$$files" \
  137. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  138. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  139. $(am__cd) "$$dir" && rm -f $$files; }; \
  140. }
  141. am__installdirs = "$(DESTDIR)$(securelibdir)" "$(DESTDIR)$(man8dir)"
  142. LTLIBRARIES = $(securelib_LTLIBRARIES)
  143. pam_localuser_la_DEPENDENCIES = $(top_builddir)/libpam/libpam.la
  144. pam_localuser_la_SOURCES = pam_localuser.c
  145. pam_localuser_la_OBJECTS = pam_localuser.lo
  146. AM_V_lt = $(am__v_lt_$(V))
  147. am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
  148. am__v_lt_0 = --silent
  149. am__v_lt_1 =
  150. tst_pam_localuser_retval_SOURCES = tst-pam_localuser-retval.c
  151. tst_pam_localuser_retval_OBJECTS = tst-pam_localuser-retval.$(OBJEXT)
  152. tst_pam_localuser_retval_DEPENDENCIES = \
  153. $(top_builddir)/libpam/libpam.la
  154. AM_V_P = $(am__v_P_$(V))
  155. am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
  156. am__v_P_0 = false
  157. am__v_P_1 = :
  158. AM_V_GEN = $(am__v_GEN_$(V))
  159. am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
  160. am__v_GEN_0 = @echo " GEN " $@;
  161. am__v_GEN_1 =
  162. AM_V_at = $(am__v_at_$(V))
  163. am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
  164. am__v_at_0 = @
  165. am__v_at_1 =
  166. DEFAULT_INCLUDES = -I. -I$(top_builddir)
  167. depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
  168. am__maybe_remake_depfiles = depfiles
  169. am__depfiles_remade = ./$(DEPDIR)/pam_localuser.Plo \
  170. ./$(DEPDIR)/tst-pam_localuser-retval.Po
  171. am__mv = mv -f
  172. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  173. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  174. LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  175. $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
  176. $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  177. $(AM_CFLAGS) $(CFLAGS)
  178. AM_V_CC = $(am__v_CC_$(V))
  179. am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
  180. am__v_CC_0 = @echo " CC " $@;
  181. am__v_CC_1 =
  182. CCLD = $(CC)
  183. LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  184. $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
  185. $(AM_LDFLAGS) $(LDFLAGS) -o $@
  186. AM_V_CCLD = $(am__v_CCLD_$(V))
  187. am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
  188. am__v_CCLD_0 = @echo " CCLD " $@;
  189. am__v_CCLD_1 =
  190. SOURCES = pam_localuser.c tst-pam_localuser-retval.c
  191. DIST_SOURCES = pam_localuser.c tst-pam_localuser-retval.c
  192. am__can_run_installinfo = \
  193. case $$AM_UPDATE_INFO_DIR in \
  194. n|no|NO) false;; \
  195. *) (install-info --version) >/dev/null 2>&1;; \
  196. esac
  197. man8dir = $(mandir)/man8
  198. NROFF = nroff
  199. MANS = $(dist_man_MANS)
  200. am__dist_noinst_DATA_DIST = README
  201. DATA = $(dist_noinst_DATA)
  202. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  203. # Read a list of newline-separated strings from the standard input,
  204. # and print each of them once, without duplicates. Input order is
  205. # *not* preserved.
  206. am__uniquify_input = $(AWK) '\
  207. BEGIN { nonempty = 0; } \
  208. { items[$$0] = 1; nonempty = 1; } \
  209. END { if (nonempty) { for (i in items) print i; }; } \
  210. '
  211. # Make sure the list of sources is unique. This is necessary because,
  212. # e.g., the same source file might be shared among _SOURCES variables
  213. # for different programs/libraries.
  214. am__define_uniq_tagged_files = \
  215. list='$(am__tagged_files)'; \
  216. unique=`for i in $$list; do \
  217. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  218. done | $(am__uniquify_input)`
  219. ETAGS = etags
  220. CTAGS = ctags
  221. am__tty_colors_dummy = \
  222. mgn= red= grn= lgn= blu= brg= std=; \
  223. am__color_tests=no
  224. am__tty_colors = { \
  225. $(am__tty_colors_dummy); \
  226. if test "X$(AM_COLOR_TESTS)" = Xno; then \
  227. am__color_tests=no; \
  228. elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  229. am__color_tests=yes; \
  230. elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  231. am__color_tests=yes; \
  232. fi; \
  233. if test $$am__color_tests = yes; then \
  234. red=''; \
  235. grn=''; \
  236. lgn=''; \
  237. blu=''; \
  238. mgn=''; \
  239. brg=''; \
  240. std=''; \
  241. fi; \
  242. }
  243. am__recheck_rx = ^[ ]*:recheck:[ ]*
  244. am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
  245. am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
  246. # A command that, given a newline-separated list of test names on the
  247. # standard input, print the name of the tests that are to be re-run
  248. # upon "make recheck".
  249. am__list_recheck_tests = $(AWK) '{ \
  250. recheck = 1; \
  251. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  252. { \
  253. if (rc < 0) \
  254. { \
  255. if ((getline line2 < ($$0 ".log")) < 0) \
  256. recheck = 0; \
  257. break; \
  258. } \
  259. else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  260. { \
  261. recheck = 0; \
  262. break; \
  263. } \
  264. else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  265. { \
  266. break; \
  267. } \
  268. }; \
  269. if (recheck) \
  270. print $$0; \
  271. close ($$0 ".trs"); \
  272. close ($$0 ".log"); \
  273. }'
  274. # A command that, given a newline-separated list of test names on the
  275. # standard input, create the global log from their .trs and .log files.
  276. am__create_global_log = $(AWK) ' \
  277. function fatal(msg) \
  278. { \
  279. print "fatal: making $@: " msg | "cat >&2"; \
  280. exit 1; \
  281. } \
  282. function rst_section(header) \
  283. { \
  284. print header; \
  285. len = length(header); \
  286. for (i = 1; i <= len; i = i + 1) \
  287. printf "="; \
  288. printf "\n\n"; \
  289. } \
  290. { \
  291. copy_in_global_log = 1; \
  292. global_test_result = "RUN"; \
  293. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  294. { \
  295. if (rc < 0) \
  296. fatal("failed to read from " $$0 ".trs"); \
  297. if (line ~ /$(am__global_test_result_rx)/) \
  298. { \
  299. sub("$(am__global_test_result_rx)", "", line); \
  300. sub("[ ]*$$", "", line); \
  301. global_test_result = line; \
  302. } \
  303. else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  304. copy_in_global_log = 0; \
  305. }; \
  306. if (copy_in_global_log) \
  307. { \
  308. rst_section(global_test_result ": " $$0); \
  309. while ((rc = (getline line < ($$0 ".log"))) != 0) \
  310. { \
  311. if (rc < 0) \
  312. fatal("failed to read from " $$0 ".log"); \
  313. print line; \
  314. }; \
  315. printf "\n"; \
  316. }; \
  317. close ($$0 ".trs"); \
  318. close ($$0 ".log"); \
  319. }'
  320. # Restructured Text title.
  321. am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  322. # Solaris 10 'make', and several other traditional 'make' implementations,
  323. # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
  324. # by disabling -e (using the XSI extension "set +e") if it's set.
  325. am__sh_e_setup = case $$- in *e*) set +e;; esac
  326. # Default flags passed to test drivers.
  327. am__common_driver_flags = \
  328. --color-tests "$$am__color_tests" \
  329. --enable-hard-errors "$$am__enable_hard_errors" \
  330. --expect-failure "$$am__expect_failure"
  331. # To be inserted before the command running the test. Creates the
  332. # directory for the log if needed. Stores in $dir the directory
  333. # containing $f, in $tst the test, in $log the log. Executes the
  334. # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  335. # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
  336. # will run the test scripts (or their associated LOG_COMPILER, if
  337. # thy have one).
  338. am__check_pre = \
  339. $(am__sh_e_setup); \
  340. $(am__vpath_adj_setup) $(am__vpath_adj) \
  341. $(am__tty_colors); \
  342. srcdir=$(srcdir); export srcdir; \
  343. case "$@" in \
  344. */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
  345. *) am__odir=.;; \
  346. esac; \
  347. test "x$$am__odir" = x"." || test -d "$$am__odir" \
  348. || $(MKDIR_P) "$$am__odir" || exit $$?; \
  349. if test -f "./$$f"; then dir=./; \
  350. elif test -f "$$f"; then dir=; \
  351. else dir="$(srcdir)/"; fi; \
  352. tst=$$dir$$f; log='$@'; \
  353. if test -n '$(DISABLE_HARD_ERRORS)'; then \
  354. am__enable_hard_errors=no; \
  355. else \
  356. am__enable_hard_errors=yes; \
  357. fi; \
  358. case " $(XFAIL_TESTS) " in \
  359. *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
  360. am__expect_failure=yes;; \
  361. *) \
  362. am__expect_failure=no;; \
  363. esac; \
  364. $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  365. # A shell command to get the names of the tests scripts with any registered
  366. # extension removed (i.e., equivalently, the names of the test logs, with
  367. # the '.log' extension removed). The result is saved in the shell variable
  368. # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
  369. # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  370. # since that might cause problem with VPATH rewrites for suffix-less tests.
  371. # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  372. am__set_TESTS_bases = \
  373. bases='$(TEST_LOGS)'; \
  374. bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  375. bases=`echo $$bases`
  376. AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
  377. RECHECK_LOGS = $(TEST_LOGS)
  378. AM_RECURSIVE_TARGETS = check recheck
  379. TEST_SUITE_LOG = test-suite.log
  380. TEST_EXTENSIONS = .test
  381. LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  382. LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  383. am__set_b = \
  384. case '$@' in \
  385. */*) \
  386. case '$*' in \
  387. */*) b='$*';; \
  388. *) b=`echo '$@' | sed 's/\.log$$//'`; \
  389. esac;; \
  390. *) \
  391. b='$*';; \
  392. esac
  393. am__test_logs1 = $(TESTS:=.log)
  394. am__test_logs2 = $(am__test_logs1:.log=.log)
  395. TEST_LOGS = $(am__test_logs2:.test.log=.log)
  396. TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  397. TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  398. $(TEST_LOG_FLAGS)
  399. am__DIST_COMMON = $(dist_man_MANS) $(srcdir)/Makefile.in \
  400. $(top_srcdir)/build-aux/depcomp \
  401. $(top_srcdir)/build-aux/test-driver
  402. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  403. ACLOCAL = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' aclocal-1.16
  404. AMTAR = $${TAR-tar}
  405. AM_DEFAULT_VERBOSITY = 1
  406. AR = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-ar
  407. AUTOCONF = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' autoconf
  408. AUTOHEADER = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' autoheader
  409. AUTOMAKE = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' automake-1.16
  410. AWK = gawk
  411. BROWSER =
  412. BUILD_CFLAGS =
  413. BUILD_CPPFLAGS =
  414. BUILD_LDFLAGS =
  415. CC = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc
  416. CCDEPMODE = depmode=gcc3
  417. CC_FOR_BUILD = gcc
  418. CFLAGS = -g -O2
  419. CPP = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc -E
  420. CPPFLAGS =
  421. CRYPTO_LIBS =
  422. CRYPT_CFLAGS =
  423. CRYPT_LIBS = -lcrypt
  424. CYGPATH_W = echo
  425. DEFS = -DHAVE_CONFIG_H
  426. DEPDIR = .deps
  427. DLLTOOL = false
  428. DSYMUTIL =
  429. DUMPBIN = :
  430. ECHO_C =
  431. ECHO_N = -n
  432. ECHO_T =
  433. ECONF_CFLAGS =
  434. ECONF_LIBS =
  435. EGREP = /bin/grep -E
  436. EXEEXT =
  437. EXE_CFLAGS = -fpie
  438. EXE_LDFLAGS = -pie -Wl,-z,now
  439. FGREP = /bin/grep -F
  440. FO2PDF =
  441. GETTEXT_MACRO_VERSION = 0.18
  442. GMSGFMT = /usr/bin/msgfmt
  443. GMSGFMT_015 = /usr/bin/msgfmt
  444. GREP = /bin/grep
  445. INSTALL = /usr/bin/install -c
  446. INSTALL_DATA = ${INSTALL} -m 644
  447. INSTALL_PROGRAM = ${INSTALL}
  448. INSTALL_SCRIPT = ${INSTALL}
  449. INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
  450. INTLLIBS =
  451. INTL_MACOSX_LIBS =
  452. LD = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/arm-linux-gnueabihf/bin/ld
  453. LDFLAGS = -Wl,--as-needed -Wl,--no-undefined -Wl,-O1
  454. LEX = flex
  455. LEXLIB = -lfl
  456. LEX_OUTPUT_ROOT = lex.yy
  457. LIBAUDIT =
  458. LIBCRYPT = -lcrypt
  459. LIBDB =
  460. LIBDL = -ldl
  461. LIBICONV = -liconv
  462. LIBINTL =
  463. LIBOBJS = ${LIBOBJDIR}memcmp$U.o
  464. LIBPRELUDE_CFLAGS =
  465. LIBPRELUDE_CONFIG = no
  466. LIBPRELUDE_CONFIG_PREFIX =
  467. LIBPRELUDE_LDFLAGS =
  468. LIBPRELUDE_LIBS =
  469. LIBPRELUDE_PREFIX =
  470. LIBPRELUDE_PTHREAD_CFLAGS =
  471. LIBS =
  472. LIBSELINUX =
  473. LIBTOOL = $(SHELL) $(top_builddir)/libtool
  474. LIPO =
  475. LN_S = ln -s
  476. LTLIBICONV = -liconv
  477. LTLIBINTL =
  478. LTLIBOBJS = ${LIBOBJDIR}memcmp$U.lo
  479. LT_SYS_LIBRARY_PATH =
  480. MAKEINFO = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' makeinfo
  481. MANIFEST_TOOL = :
  482. MKDIR_P = /bin/mkdir -p
  483. MSGFMT = /usr/bin/msgfmt
  484. MSGFMT_015 = /usr/bin/msgfmt
  485. MSGMERGE = /usr/bin/msgmerge
  486. NIS_CFLAGS =
  487. NIS_LIBS =
  488. NM = nm
  489. NMEDIT =
  490. NSL_CFLAGS =
  491. NSL_LIBS = -lnsl
  492. OBJDUMP = objdump
  493. OBJEXT = o
  494. OTOOL =
  495. OTOOL64 =
  496. PACKAGE = Linux-PAM
  497. PACKAGE_BUGREPORT =
  498. PACKAGE_NAME = Linux-PAM
  499. PACKAGE_STRING = Linux-PAM 1.5.2
  500. PACKAGE_TARNAME = Linux-PAM
  501. PACKAGE_URL =
  502. PACKAGE_VERSION = 1.5.2
  503. PATH_SEPARATOR = :
  504. PKG_CONFIG = /usr/bin/pkg-config
  505. PKG_CONFIG_LIBDIR =
  506. PKG_CONFIG_PATH =
  507. POSUB = po
  508. RANLIB = ranlib
  509. SCONFIGDIR = ${prefix}/etc/security
  510. SECUREDIR = ${exec_prefix}/lib/security
  511. SED = /bin/sed
  512. SET_MAKE =
  513. SHELL = /bin/bash
  514. STRINGPARAM_HMAC =
  515. STRINGPARAM_VENDORDIR = --stringparam vendordir '<vendordir>'
  516. STRIP = strip
  517. TIRPC_CFLAGS =
  518. TIRPC_LIBS =
  519. USE_NLS = yes
  520. VERSION = 1.5.2
  521. WARN_CFLAGS = -W -Wall -Wbad-function-cast -Wcast-align -Wcast-qual -Wdeprecated -Winline -Wmain -Wmissing-declarations -Wmissing-format-attribute -Wmissing-prototypes -Wpointer-arith -Wreturn-type -Wshadow -Wstrict-prototypes -Wuninitialized -Wwrite-strings
  522. XGETTEXT = /usr/bin/xgettext
  523. XGETTEXT_015 = /usr/bin/xgettext
  524. XGETTEXT_EXTRA_OPTIONS =
  525. XMLCATALOG = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/armv7ahf-neon-linux-gnueabi/usr/bin/xmlcatalog
  526. XMLLINT = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/armv7ahf-neon-linux-gnueabi/usr/bin/xmllint
  527. XML_CATALOG_FILE = /etc/xml/catalog
  528. XSLTPROC = /usr/bin/xsltproc
  529. YACC = bison -y
  530. YFLAGS =
  531. abs_builddir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/modules/pam_localuser
  532. abs_srcdir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/modules/pam_localuser
  533. abs_top_builddir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2
  534. abs_top_srcdir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2
  535. ac_ct_AR =
  536. ac_ct_CC =
  537. ac_ct_DUMPBIN = link -dump
  538. am__include = include
  539. am__leading_dot = .
  540. am__quote =
  541. am__tar = $${TAR-tar} chof - "$$tardir"
  542. am__untar = $${TAR-tar} xf -
  543. bindir = ${exec_prefix}/bin
  544. build = x86_64-pc-linux-gnu
  545. build_alias =
  546. build_cpu = x86_64
  547. build_os = linux-gnu
  548. build_vendor = pc
  549. builddir = .
  550. datadir = ${datarootdir}
  551. datarootdir = ${prefix}/share
  552. docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
  553. dvidir = ${docdir}
  554. exec_prefix = ${prefix}
  555. host = arm-unknown-linux-gnueabihf
  556. host_alias = arm-linux-gnueabihf
  557. host_cpu = arm
  558. host_os = linux-gnueabihf
  559. host_vendor = unknown
  560. htmldir = ${docdir}
  561. includedir = ${prefix}/include
  562. infodir = ${datarootdir}/info
  563. install_sh = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/install-sh
  564. libdir = ${exec_prefix}/lib
  565. libexecdir = ${exec_prefix}/libexec
  566. localedir = ${datarootdir}/locale
  567. localstatedir = ${prefix}/var
  568. mandir = ${datarootdir}/man
  569. mkdir_p = $(MKDIR_P)
  570. oldincludedir = /usr/include
  571. pam_xauth_path = /usr/bin/xauth
  572. pdfdir = ${docdir}
  573. prefix = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/release
  574. program_transform_name = s,x,x,
  575. psdir = ${docdir}
  576. sbindir = ${exec_prefix}/sbin
  577. sharedstatedir = ${prefix}/com
  578. srcdir = .
  579. sysconfdir = ${prefix}/etc
  580. systemdunitdir =
  581. target_alias =
  582. top_build_prefix = ../../
  583. top_builddir = ../..
  584. top_srcdir = ../..
  585. CLEANFILES = *~
  586. MAINTAINERCLEANFILES = $(MANS) README
  587. EXTRA_DIST = $(XMLS)
  588. #dist_man_MANS = pam_localuser.8
  589. XMLS = README.xml pam_localuser.8.xml
  590. dist_check_SCRIPTS = tst-pam_localuser
  591. TESTS = $(dist_check_SCRIPTS) $(check_PROGRAMS)
  592. securelibdir = $(SECUREDIR)
  593. secureconfdir = $(SCONFIGDIR)
  594. AM_CFLAGS = -I$(top_srcdir)/libpam/include -I$(top_srcdir)/libpamc/include \
  595. $(WARN_CFLAGS)
  596. AM_LDFLAGS = -no-undefined -avoid-version -module $(am__append_1)
  597. securelib_LTLIBRARIES = pam_localuser.la
  598. pam_localuser_la_LIBADD = $(top_builddir)/libpam/libpam.la
  599. tst_pam_localuser_retval_LDADD = $(top_builddir)/libpam/libpam.la
  600. #dist_noinst_DATA = README
  601. all: all-am
  602. .SUFFIXES:
  603. .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
  604. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  605. @for dep in $?; do \
  606. case '$(am__configure_deps)' in \
  607. *$$dep*) \
  608. ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  609. && { if test -f $@; then exit 0; else break; fi; }; \
  610. exit 1;; \
  611. esac; \
  612. done; \
  613. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu modules/pam_localuser/Makefile'; \
  614. $(am__cd) $(top_srcdir) && \
  615. $(AUTOMAKE) --gnu modules/pam_localuser/Makefile
  616. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  617. @case '$?' in \
  618. *config.status*) \
  619. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  620. *) \
  621. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
  622. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
  623. esac;
  624. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  625. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  626. $(top_srcdir)/configure: $(am__configure_deps)
  627. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  628. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  629. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  630. $(am__aclocal_m4_deps):
  631. clean-checkPROGRAMS:
  632. @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
  633. echo " rm -f" $$list; \
  634. rm -f $$list || exit $$?; \
  635. test -n "$(EXEEXT)" || exit 0; \
  636. list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
  637. echo " rm -f" $$list; \
  638. rm -f $$list
  639. install-securelibLTLIBRARIES: $(securelib_LTLIBRARIES)
  640. @$(NORMAL_INSTALL)
  641. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  642. list2=; for p in $$list; do \
  643. if test -f $$p; then \
  644. list2="$$list2 $$p"; \
  645. else :; fi; \
  646. done; \
  647. test -z "$$list2" || { \
  648. echo " $(MKDIR_P) '$(DESTDIR)$(securelibdir)'"; \
  649. $(MKDIR_P) "$(DESTDIR)$(securelibdir)" || exit 1; \
  650. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(securelibdir)'"; \
  651. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(securelibdir)"; \
  652. }
  653. uninstall-securelibLTLIBRARIES:
  654. @$(NORMAL_UNINSTALL)
  655. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  656. for p in $$list; do \
  657. $(am__strip_dir) \
  658. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(securelibdir)/$$f'"; \
  659. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(securelibdir)/$$f"; \
  660. done
  661. clean-securelibLTLIBRARIES:
  662. -test -z "$(securelib_LTLIBRARIES)" || rm -f $(securelib_LTLIBRARIES)
  663. @list='$(securelib_LTLIBRARIES)'; \
  664. locs=`for p in $$list; do echo $$p; done | \
  665. sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
  666. sort -u`; \
  667. test -z "$$locs" || { \
  668. echo rm -f $${locs}; \
  669. rm -f $${locs}; \
  670. }
  671. pam_localuser.la: $(pam_localuser_la_OBJECTS) $(pam_localuser_la_DEPENDENCIES) $(EXTRA_pam_localuser_la_DEPENDENCIES)
  672. $(AM_V_CCLD)$(LINK) -rpath $(securelibdir) $(pam_localuser_la_OBJECTS) $(pam_localuser_la_LIBADD) $(LIBS)
  673. tst-pam_localuser-retval$(EXEEXT): $(tst_pam_localuser_retval_OBJECTS) $(tst_pam_localuser_retval_DEPENDENCIES) $(EXTRA_tst_pam_localuser_retval_DEPENDENCIES)
  674. @rm -f tst-pam_localuser-retval$(EXEEXT)
  675. $(AM_V_CCLD)$(LINK) $(tst_pam_localuser_retval_OBJECTS) $(tst_pam_localuser_retval_LDADD) $(LIBS)
  676. mostlyclean-compile:
  677. -rm -f *.$(OBJEXT)
  678. distclean-compile:
  679. -rm -f *.tab.c
  680. include ./$(DEPDIR)/pam_localuser.Plo # am--include-marker
  681. include ./$(DEPDIR)/tst-pam_localuser-retval.Po # am--include-marker
  682. $(am__depfiles_remade):
  683. @$(MKDIR_P) $(@D)
  684. @echo '# dummy' >$@-t && $(am__mv) $@-t $@
  685. am--depfiles: $(am__depfiles_remade)
  686. .c.o:
  687. $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  688. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  689. # $(AM_V_CC)source='$<' object='$@' libtool=no \
  690. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  691. # $(AM_V_CC_no)$(COMPILE) -c -o $@ $<
  692. .c.obj:
  693. $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  694. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  695. # $(AM_V_CC)source='$<' object='$@' libtool=no \
  696. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  697. # $(AM_V_CC_no)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  698. .c.lo:
  699. $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  700. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
  701. # $(AM_V_CC)source='$<' object='$@' libtool=yes \
  702. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  703. # $(AM_V_CC_no)$(LTCOMPILE) -c -o $@ $<
  704. mostlyclean-libtool:
  705. -rm -f *.lo
  706. clean-libtool:
  707. -rm -rf .libs _libs
  708. install-man8: $(dist_man_MANS)
  709. @$(NORMAL_INSTALL)
  710. @list1=''; \
  711. list2='$(dist_man_MANS)'; \
  712. test -n "$(man8dir)" \
  713. && test -n "`echo $$list1$$list2`" \
  714. || exit 0; \
  715. echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
  716. $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
  717. { for i in $$list1; do echo "$$i"; done; \
  718. if test -n "$$list2"; then \
  719. for i in $$list2; do echo "$$i"; done \
  720. | sed -n '/\.8[a-z]*$$/p'; \
  721. fi; \
  722. } | while read p; do \
  723. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  724. echo "$$d$$p"; echo "$$p"; \
  725. done | \
  726. sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  727. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  728. sed 'N;N;s,\n, ,g' | { \
  729. list=; while read file base inst; do \
  730. if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  731. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
  732. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
  733. fi; \
  734. done; \
  735. for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  736. while read files; do \
  737. test -z "$$files" || { \
  738. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
  739. $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
  740. done; }
  741. uninstall-man8:
  742. @$(NORMAL_UNINSTALL)
  743. @list=''; test -n "$(man8dir)" || exit 0; \
  744. files=`{ for i in $$list; do echo "$$i"; done; \
  745. l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  746. sed -n '/\.8[a-z]*$$/p'; \
  747. } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  748. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  749. dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
  750. ID: $(am__tagged_files)
  751. $(am__define_uniq_tagged_files); mkid -fID $$unique
  752. tags: tags-am
  753. TAGS: tags
  754. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  755. set x; \
  756. here=`pwd`; \
  757. $(am__define_uniq_tagged_files); \
  758. shift; \
  759. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  760. test -n "$$unique" || unique=$$empty_fix; \
  761. if test $$# -gt 0; then \
  762. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  763. "$$@" $$unique; \
  764. else \
  765. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  766. $$unique; \
  767. fi; \
  768. fi
  769. ctags: ctags-am
  770. CTAGS: ctags
  771. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  772. $(am__define_uniq_tagged_files); \
  773. test -z "$(CTAGS_ARGS)$$unique" \
  774. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  775. $$unique
  776. GTAGS:
  777. here=`$(am__cd) $(top_builddir) && pwd` \
  778. && $(am__cd) $(top_srcdir) \
  779. && gtags -i $(GTAGS_ARGS) "$$here"
  780. cscopelist: cscopelist-am
  781. cscopelist-am: $(am__tagged_files)
  782. list='$(am__tagged_files)'; \
  783. case "$(srcdir)" in \
  784. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  785. *) sdir=$(subdir)/$(srcdir) ;; \
  786. esac; \
  787. for i in $$list; do \
  788. if test -f "$$i"; then \
  789. echo "$(subdir)/$$i"; \
  790. else \
  791. echo "$$sdir/$$i"; \
  792. fi; \
  793. done >> $(top_builddir)/cscope.files
  794. distclean-tags:
  795. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  796. # Recover from deleted '.trs' file; this should ensure that
  797. # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  798. # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
  799. # to avoid problems with "make -n".
  800. .log.trs:
  801. rm -f $< $@
  802. $(MAKE) $(AM_MAKEFLAGS) $<
  803. # Leading 'am--fnord' is there to ensure the list of targets does not
  804. # expand to empty, as could happen e.g. with make check TESTS=''.
  805. am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  806. am--force-recheck:
  807. @:
  808. $(TEST_SUITE_LOG): $(TEST_LOGS)
  809. @$(am__set_TESTS_bases); \
  810. am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  811. redo_bases=`for i in $$bases; do \
  812. am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  813. done`; \
  814. if test -n "$$redo_bases"; then \
  815. redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  816. redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  817. if $(am__make_dryrun); then :; else \
  818. rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  819. fi; \
  820. fi; \
  821. if test -n "$$am__remaking_logs"; then \
  822. echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  823. "recursion detected" >&2; \
  824. elif test -n "$$redo_logs"; then \
  825. am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  826. fi; \
  827. if $(am__make_dryrun); then :; else \
  828. st=0; \
  829. errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  830. for i in $$redo_bases; do \
  831. test -f $$i.trs && test -r $$i.trs \
  832. || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  833. test -f $$i.log && test -r $$i.log \
  834. || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  835. done; \
  836. test $$st -eq 0 || exit 1; \
  837. fi
  838. @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  839. ws='[ ]'; \
  840. results=`for b in $$bases; do echo $$b.trs; done`; \
  841. test -n "$$results" || results=/dev/null; \
  842. all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
  843. pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
  844. fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
  845. skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
  846. xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  847. xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  848. error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  849. if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  850. success=true; \
  851. else \
  852. success=false; \
  853. fi; \
  854. br='==================='; br=$$br$$br$$br$$br; \
  855. result_count () \
  856. { \
  857. if test x"$$1" = x"--maybe-color"; then \
  858. maybe_colorize=yes; \
  859. elif test x"$$1" = x"--no-color"; then \
  860. maybe_colorize=no; \
  861. else \
  862. echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  863. fi; \
  864. shift; \
  865. desc=$$1 count=$$2; \
  866. if test $$maybe_colorize = yes && test $$count -gt 0; then \
  867. color_start=$$3 color_end=$$std; \
  868. else \
  869. color_start= color_end=; \
  870. fi; \
  871. echo "$${color_start}# $$desc $$count$${color_end}"; \
  872. }; \
  873. create_testsuite_report () \
  874. { \
  875. result_count $$1 "TOTAL:" $$all "$$brg"; \
  876. result_count $$1 "PASS: " $$pass "$$grn"; \
  877. result_count $$1 "SKIP: " $$skip "$$blu"; \
  878. result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  879. result_count $$1 "FAIL: " $$fail "$$red"; \
  880. result_count $$1 "XPASS:" $$xpass "$$red"; \
  881. result_count $$1 "ERROR:" $$error "$$mgn"; \
  882. }; \
  883. { \
  884. echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
  885. $(am__rst_title); \
  886. create_testsuite_report --no-color; \
  887. echo; \
  888. echo ".. contents:: :depth: 2"; \
  889. echo; \
  890. for b in $$bases; do echo $$b; done \
  891. | $(am__create_global_log); \
  892. } >$(TEST_SUITE_LOG).tmp || exit 1; \
  893. mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
  894. if $$success; then \
  895. col="$$grn"; \
  896. else \
  897. col="$$red"; \
  898. test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
  899. fi; \
  900. echo "$${col}$$br$${std}"; \
  901. echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}"; \
  902. echo "$${col}$$br$${std}"; \
  903. create_testsuite_report --maybe-color; \
  904. echo "$$col$$br$$std"; \
  905. if $$success; then :; else \
  906. echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
  907. if test -n "$(PACKAGE_BUGREPORT)"; then \
  908. echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
  909. fi; \
  910. echo "$$col$$br$$std"; \
  911. fi; \
  912. $$success || exit 1
  913. check-TESTS: $(check_PROGRAMS) $(dist_check_SCRIPTS)
  914. @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
  915. @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  916. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  917. @set +e; $(am__set_TESTS_bases); \
  918. log_list=`for i in $$bases; do echo $$i.log; done`; \
  919. trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  920. log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  921. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  922. exit $$?;
  923. recheck: all $(check_PROGRAMS) $(dist_check_SCRIPTS)
  924. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  925. @set +e; $(am__set_TESTS_bases); \
  926. bases=`for i in $$bases; do echo $$i; done \
  927. | $(am__list_recheck_tests)` || exit 1; \
  928. log_list=`for i in $$bases; do echo $$i.log; done`; \
  929. log_list=`echo $$log_list`; \
  930. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  931. am__force_recheck=am--force-recheck \
  932. TEST_LOGS="$$log_list"; \
  933. exit $$?
  934. tst-pam_localuser.log: tst-pam_localuser
  935. @p='tst-pam_localuser'; \
  936. b='tst-pam_localuser'; \
  937. $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  938. --log-file $$b.log --trs-file $$b.trs \
  939. $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  940. "$$tst" $(AM_TESTS_FD_REDIRECT)
  941. tst-pam_localuser-retval.log: tst-pam_localuser-retval$(EXEEXT)
  942. @p='tst-pam_localuser-retval$(EXEEXT)'; \
  943. b='tst-pam_localuser-retval'; \
  944. $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  945. --log-file $$b.log --trs-file $$b.trs \
  946. $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  947. "$$tst" $(AM_TESTS_FD_REDIRECT)
  948. .test.log:
  949. @p='$<'; \
  950. $(am__set_b); \
  951. $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  952. --log-file $$b.log --trs-file $$b.trs \
  953. $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  954. "$$tst" $(AM_TESTS_FD_REDIRECT)
  955. #.test$(EXEEXT).log:
  956. # @p='$<'; \
  957. # $(am__set_b); \
  958. # $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  959. # --log-file $$b.log --trs-file $$b.trs \
  960. # $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  961. # "$$tst" $(AM_TESTS_FD_REDIRECT)
  962. distdir: $(BUILT_SOURCES)
  963. $(MAKE) $(AM_MAKEFLAGS) distdir-am
  964. distdir-am: $(DISTFILES)
  965. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  966. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  967. list='$(DISTFILES)'; \
  968. dist_files=`for file in $$list; do echo $$file; done | \
  969. sed -e "s|^$$srcdirstrip/||;t" \
  970. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  971. case $$dist_files in \
  972. */*) $(MKDIR_P) `echo "$$dist_files" | \
  973. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  974. sort -u` ;; \
  975. esac; \
  976. for file in $$dist_files; do \
  977. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  978. if test -d $$d/$$file; then \
  979. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  980. if test -d "$(distdir)/$$file"; then \
  981. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  982. fi; \
  983. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  984. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  985. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  986. fi; \
  987. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  988. else \
  989. test -f "$(distdir)/$$file" \
  990. || cp -p $$d/$$file "$(distdir)/$$file" \
  991. || exit 1; \
  992. fi; \
  993. done
  994. check-am: all-am
  995. $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS) \
  996. $(dist_check_SCRIPTS)
  997. $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  998. check: check-am
  999. all-am: Makefile $(LTLIBRARIES) $(MANS) $(DATA)
  1000. installdirs:
  1001. for dir in "$(DESTDIR)$(securelibdir)" "$(DESTDIR)$(man8dir)"; do \
  1002. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  1003. done
  1004. install: install-am
  1005. install-exec: install-exec-am
  1006. install-data: install-data-am
  1007. uninstall: uninstall-am
  1008. install-am: all-am
  1009. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  1010. installcheck: installcheck-am
  1011. install-strip:
  1012. if test -z '$(STRIP)'; then \
  1013. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1014. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1015. install; \
  1016. else \
  1017. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1018. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1019. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  1020. fi
  1021. mostlyclean-generic:
  1022. -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  1023. -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  1024. -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  1025. clean-generic:
  1026. -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  1027. distclean-generic:
  1028. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  1029. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  1030. maintainer-clean-generic:
  1031. @echo "This command is intended for maintainers to use"
  1032. @echo "it deletes files that may require special tools to rebuild."
  1033. -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
  1034. clean: clean-am
  1035. clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
  1036. clean-securelibLTLIBRARIES mostlyclean-am
  1037. distclean: distclean-am
  1038. -rm -f ./$(DEPDIR)/pam_localuser.Plo
  1039. -rm -f ./$(DEPDIR)/tst-pam_localuser-retval.Po
  1040. -rm -f Makefile
  1041. distclean-am: clean-am distclean-compile distclean-generic \
  1042. distclean-tags
  1043. dvi: dvi-am
  1044. dvi-am:
  1045. html: html-am
  1046. html-am:
  1047. info: info-am
  1048. info-am:
  1049. install-data-am: install-man install-securelibLTLIBRARIES
  1050. install-dvi: install-dvi-am
  1051. install-dvi-am:
  1052. install-exec-am:
  1053. install-html: install-html-am
  1054. install-html-am:
  1055. install-info: install-info-am
  1056. install-info-am:
  1057. install-man: install-man8
  1058. install-pdf: install-pdf-am
  1059. install-pdf-am:
  1060. install-ps: install-ps-am
  1061. install-ps-am:
  1062. installcheck-am:
  1063. maintainer-clean: maintainer-clean-am
  1064. -rm -f ./$(DEPDIR)/pam_localuser.Plo
  1065. -rm -f ./$(DEPDIR)/tst-pam_localuser-retval.Po
  1066. -rm -f Makefile
  1067. maintainer-clean-am: distclean-am maintainer-clean-generic
  1068. mostlyclean: mostlyclean-am
  1069. mostlyclean-am: mostlyclean-compile mostlyclean-generic \
  1070. mostlyclean-libtool
  1071. pdf: pdf-am
  1072. pdf-am:
  1073. ps: ps-am
  1074. ps-am:
  1075. uninstall-am: uninstall-man uninstall-securelibLTLIBRARIES
  1076. uninstall-man: uninstall-man8
  1077. .MAKE: check-am install-am install-strip
  1078. .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
  1079. check-am clean clean-checkPROGRAMS clean-generic clean-libtool \
  1080. clean-securelibLTLIBRARIES cscopelist-am ctags ctags-am \
  1081. distclean distclean-compile distclean-generic \
  1082. distclean-libtool distclean-tags distdir dvi dvi-am html \
  1083. html-am info info-am install install-am install-data \
  1084. install-data-am install-dvi install-dvi-am install-exec \
  1085. install-exec-am install-html install-html-am install-info \
  1086. install-info-am install-man install-man8 install-pdf \
  1087. install-pdf-am install-ps install-ps-am \
  1088. install-securelibLTLIBRARIES install-strip installcheck \
  1089. installcheck-am installdirs maintainer-clean \
  1090. maintainer-clean-generic mostlyclean mostlyclean-compile \
  1091. mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
  1092. recheck tags tags-am uninstall uninstall-am uninstall-man \
  1093. uninstall-man8 uninstall-securelibLTLIBRARIES
  1094. .PRECIOUS: Makefile
  1095. #-include $(top_srcdir)/Make.xml.rules
  1096. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  1097. # Otherwise a system limit (for SysV at least) may be exceeded.
  1098. .NOEXPORT: